Summary:	TorK - Anonymity Manager for KDE
Name:		tork
Version:	0.28
Release:	alt0.1
License:	GPLv2, GeoIP
Group:		Security/Networking
Url:		http://sourceforge.net/projects/tork/
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Source0:	http://kent.dl.sourceforge.net/sourceforge/tork/%name-%version.tar.bz2
Patch0:		%name-0.28-ru_ua_desktop.diff

# Automatically added by buildreq on Sat May 24 2008 (-bi)
BuildRequires: gcc-c++ imake kdelibs-devel libXext-devel libXrender-devel libXt-devel libjpeg-devel libqt3-devel libssl-devel linux-libc-headers packages-info-i18n-common xml-utils xorg-cf-files

%description
TorK is an Anonymity Manager for the KDE Desktop. Browse
anonymously on Konqueror/Firefox/Opera. Send anonymous email
via the MixMinion network. Use ssh/irc/IM anonymously.
Control and monitor your anonymous traffic on the Tor network.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS+="%optflags"
export CXXFLAGS+="%optflags"
export xdg_appsdir="%_desktopdir"
make -f admin/Makefile.common
./configure --prefix=%prefix --sysconfdir=%_sysconfdir --mandir=%_mandir
%make_build

%install
%make DESTDIR=%buildroot install
%find_lang --with-kde %name

%post
%update_menus
%post_ldconfig

%postun
%clean_menus
%postun_ldconfig

%files -f %name.lang
%_bindir/*
%config(noreplace) %_sysconfdir/*
%_libdir/kde3/*.so
%_libdir/%name
%_desktopdir/%name.desktop
%_datadir/apps/khtml/kpartplugins/*
%_datadir/apps/kicker/menuext/*
%_datadir/apps/konqueror/servicemenus/*
%_datadir/apps/%name
%_datadir/config.kcfg/*
%_pixmapsdir/*
%_iconsdir/hicolor/*/apps/*.png
%_iconsdir/hicolor/*/actions/*.png
%_datadir/services/*
%_man1dir/*
%_man5dir/*
%_man8dir/*

%changelog
* Sat May 24 2008 Motsyo Gennadi <drool@altlinux.ru> 0.28-alt0.1
- test build for ALT Linux
